package tech.deepq.common.utils.signature;

import tech.deepq.common.dto.SignatureConfig;
import tech.deepq.common.dto.SignatureContext;

import java.security.GeneralSecurityException;
import java.security.Signature;

/**
 * @author yechuan
 * @since 2023/8/8 14:42
 **/
public abstract class AbstractSignatureService {

    protected SignatureContext signatureContext;

    /**
     * 对content进行加密
     *
     * @param content
     * @return
     * @throws GeneralSecurityException
     */
    public abstract String signatureContent(String content) throws GeneralSecurityException;


    void init(SignatureConfig signatureConfig) throws GeneralSecurityException {
        signatureContext = new SignatureContext();
        signatureContext.setSignature(Signature.getInstance(signatureConfig.getSignatureAlgorithm()));
    }

}
