package tech.deepq.common.utils.signature;

import org.springframework.util.DigestUtils;

import java.nio.charset.StandardCharsets;
import java.security.GeneralSecurityException;

/**
 * @author yechuan
 * @since 2023/9/7 10:19
 **/
class Md5SignatureService extends AbstractSignatureService {

    private Md5SignatureService() {
    }


    public static AbstractSignatureService getInstance() throws GeneralSecurityException {
        return new Md5SignatureService();
    }

    /**
     * md5加密
     *
     * @param content
     * @return
     * @throws GeneralSecurityException
     */
    @Override
    public String signatureContent(String content) throws GeneralSecurityException {
        return DigestUtils.md5DigestAsHex(content.getBytes(StandardCharsets.UTF_8)).toUpperCase();
    }
}
