package tech.deepq.scheduler.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import tech.deepq.common.annotation.ResponseBodyEnhanceController;
import tech.deepq.common.dto.TaskVO;
import tech.deepq.common.service.RedisService;
import tech.deepq.scheduler.service.IssueService;

import java.util.ArrayList;

/**
 * @author xuye
 * @since 2023/2/17 23:01
 **/
@Slf4j
@Api(tags = "任务调度")
@RequestMapping("/task")
@RequiredArgsConstructor
@ResponseBodyEnhanceController
public class ScheduleController {

    private final IssueService issueService;
    private final RedisService redisService;

    @GetMapping
    @ApiOperation(value = "重新调度全部任务")
    public ArrayList<TaskVO> issueTask() {
        redisService.clear();
        return issueService.issueAllTask();
    }

    @GetMapping("/id/{id}")
    @ApiOperation(value = "根据任务ID调度")
    public TaskVO issueTask(@PathVariable Integer id) {
        return issueService.issueTask(id);
    }

}
